{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "util",
                "merge"
            ],
            "doc": "merge sorted bam files. If input bam files are in the order of coordinate, and no overlap, mergemode 10 can be used",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1
                }
            ],
            "inputs": [
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "position": 100
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#bam-merge.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 10,
                    "inputBinding": {
                        "prefix": "--mergemode",
                        "position": 10
                    },
                    "id": "#bam-merge.cwl/mergemode"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "-o",
                        "position": 50
                    },
                    "id": "#bam-merge.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-r"
                    },
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#bam-merge.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#bam-merge.cwl/threads"
                }
            ],
            "stderr": "bam-merge.log",
            "id": "#bam-merge.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#bam-merge.cwl/log",
                    "outputBinding": {
                        "glob": "bam-merge.log"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#bam-merge.cwl/output"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "driver"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#realign.cwl/advanced_options"
                },
                {
                    "type": "string",
                    "default": "Realigner",
                    "inputBinding": {
                        "position": 100,
                        "prefix": "--algo"
                    },
                    "id": "#realign.cwl/algo"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-i"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 10
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#realign.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--interval_list"
                    },
                    "id": "#realign.cwl/interval_list"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-k"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#realign.cwl/known_sites"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 150
                    },
                    "id": "#realign.cwl/output_file"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-r"
                    },
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#realign.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--shard",
                        "position": 10
                    },
                    "id": "#realign.cwl/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#realign.cwl/threads"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--traverse_param",
                        "position": 10
                    },
                    "id": "#realign.cwl/traverse_param"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#realign.cwl/log",
                    "outputBinding": {
                        "glob": "realign.log"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "secondaryFiles": ".bai",
                    "id": "#realign.cwl/output"
                }
            ],
            "stderr": "realign.log",
            "id": "#realign.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#main/advanced_options"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#main/input_bam"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/interval_list"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/known_sites"
                },
                {
                    "type": "string",
                    "id": "#main/output_file"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#main/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#main/threads"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/merge/output",
                    "id": "#main/output"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#main/realign/output",
                            "id": "#main/merge/input_bam"
                        },
                        {
                            "source": "#main/output_file",
                            "id": "#main/merge/output_file"
                        },
                        {
                            "source": "#main/threads",
                            "id": "#main/merge/threads"
                        }
                    ],
                    "out": [
                        "#main/merge/output"
                    ],
                    "run": "#bam-merge.cwl",
                    "id": "#main/merge"
                },
                {
                    "in": [
                        {
                            "default": ".bam",
                            "id": "#main/realign/_ext"
                        },
                        {
                            "source": "#main/output_file",
                            "id": "#main/realign/_output"
                        },
                        {
                            "source": "#main/shard",
                            "id": "#main/realign/_shard"
                        },
                        {
                            "source": "#main/advanced_options",
                            "id": "#main/realign/advanced_options"
                        },
                        {
                            "source": "#main/input_bam",
                            "id": "#main/realign/input_bam"
                        },
                        {
                            "source": "#main/interval_list",
                            "id": "#main/realign/interval_list"
                        },
                        {
                            "source": "#main/known_sites",
                            "id": "#main/realign/known_sites"
                        },
                        {
                            "source": "#main/shard",
                            "linkMerge": "merge_flattened",
                            "valueFrom": "${\n  var len = inputs._shard.length;\n  var i = 0;\n  for (; i < len; ++i) {\n     if (self == inputs._shard[i])\n       break;\n  }\n  return inputs._output + \"_part_\" + i + inputs._ext;\n}\n",
                            "id": "#main/realign/output_file"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/realign/reference"
                        },
                        {
                            "source": "#main/shard",
                            "id": "#main/realign/shard"
                        },
                        {
                            "source": "#main/threads",
                            "id": "#main/realign/threads"
                        }
                    ],
                    "out": [
                        "#main/realign/output"
                    ],
                    "scatter": [
                        "#main/realign/shard",
                        "#main/realign/output_file"
                    ],
                    "scatterMethod": "dotproduct",
                    "run": "#realign.cwl",
                    "id": "#main/realign"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
